## ossim 2.2.2

=== cmake/CMakeLists.txt ===
PROJECT(ossimlabs)

# Allows developer to customize compiler with their own flags (e.g., "-std=c++11")

SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} $ENV{OSSIM_CXX_FLAGS}" )

IF ("${OSSIM_DEV_HOME}"  STREQUAL "")
  IF ("$ENV{OSSIM_DEV_HOME}"  STREQUAL "")
    SET(OSSIM_DEV_HOME "${CMAKE_CURRENT_SOURCE_DIR}/../.." CACHE STRING "Cache the OSSIM dev home" FORCE)
  ELSE()
    SET(OSSIM_DEV_HOME "$ENV{OSSIM_DEV_HOME}" CACHE STRING "Cache the OSSIM dev home" FORCE)
  ENDIF()
ENDIF()

if(NOT EXISTS ${OSSIM_DEV_HOME})
   MESSAGE(FATAL_ERROR "Please pass in or define a valid OSSIM_DEV_HOME root path where all modules are located. This includes ossim, ossim-planet, ... etc.")
ENDIF()

IF ("$ENV{OSSIM_INSTALL_PREFIX}"  STREQUAL "")
   IF (EXISTS "$ENV{OSSIM_BUILD_DIR}")
      SET(OSSIM_INSTALL_PREFIX "$ENV{OSSIM_BUILD_DIR}" CACHE STRING "Cache the OSSIM install prefix" FORCE)
   ELSE()
      SET(OSSIM_INSTALL_PREFIX "${OSSIM_DEV_HOME}/install" CACHE STRING "Cache the OSSIM install prefix" FORCE)
   ENDIF()
ELSE()
  SET(OSSIM_INSTALL_PREFIX "$ENV{OSSIM_INSTALL_PREFIX}" CACHE STRING "Cache the OSSIM install prefix" FORCE)
ENDIF()

IF(NOT OSSIM_BUILD_ADDITIONAL_DIRECTORIES)
   SET(OSSIM_BUILD_ADDITIONAL_DIRECTORIES "" CACHE PATH "Specify full paths separated by ; to additional libraries you wish to include into the ossim build framework" FORCE)
ENDIF(NOT OSSIM_BUILD_ADDITIONAL_DIRECTORIES)

SET(CMAKE_MODULE_PATH "${OSSIM_DEV_HOME}/ossim/cmake/CMakeModules")
INCLUDE(OssimVersion)
INCLUDE(OssimUtilities)
INCLUDE(OssimCommonVariables)

IF(NOT APPLE)
  cmake_minimum_required(VERSION 2.6)
ELSE(NOT APPLE)
    cmake_minimum_required(VERSION 2.8)
ENDIF(NOT APPLE)

IF(EXISTS "$ENV{OSSIM_DEPENDENCIES}")
   SET(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} ${OSSIM_DEPENDENCIES}/include )
   SET(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} ${OSSIM_DEPENDENCIES}/lib${LIBSUFFIX})
   SET(CMAKE_FRAMEWORK_PATH "${CMAKE_FRAMEWORK_PATH};$ENV{OSSIM_DEPENDENCIES}/Frameworks")
ENDIF(EXISTS "$ENV{OSSIM_DEPENDENCIES}")

SET(CMAKE_INSTALL_PREFIX ${OSSIM_INSTALL_PREFIX})

MESSAGE( STATUS "\n========================== CMAKE FINAL SETTINGS ==========================" )
MESSAGE( STATUS "CMAKE_MODULE_PATH           = ${CMAKE_MODULE_PATH}")
MESSAGE( STATUS "CMAKE_IGNORE_PATH           = ${CMAKE_IGNORE_PATH}")
MESSAGE( STATUS "CMAKE_INCLUDE_PATH          = ${CMAKE_INCLUDE_PATH}")
MESSAGE( STATUS "CMAKE_LIBRARY_PATH          = ${CMAKE_LIBRARY_PATH}")
MESSAGE( STATUS "CMAKE_PREFIX_PATH           = ${CMAKE_PREFIX_PATH}")
MESSAGE( STATUS "CMAKE_INSTALL_PREFIX        = ${CMAKE_INSTALL_PREFIX}")
MESSAGE( STATUS "CMAKE_FRAMEWORK_PATH        = ${CMAKE_FRAMEWORK_PATH}")
MESSAGE( STATUS "CMAKE_FIND_ROOT_PATH        = ${CMAKE_FIND_ROOT_PATH}")
MESSAGE( STATUS "CMAKE_FIND_LIBRARY_PREFIXES = ${CMAKE_FIND_LIBRARY_PREFIXES}")
MESSAGE( STATUS "CMAKE_FIND_LIBRARY_SUFFIXES = ${CMAKE_FIND_LIBRARY_SUFFIXES}")
MESSAGE( STATUS "CMAKE_SYSTEM_IGNORE_PATH    = ${CMAKE_SYSTEM_IGNORE_PATH}")
MESSAGE( STATUS "CMAKE_SYSTEM_INCLUDE_PATH   = ${CMAKE_SYSTEM_INCLUDE_PATH}")
MESSAGE( STATUS "CMAKE_SYSTEM_LIBRARY_PATH   = ${CMAKE_SYSTEM_LIBRARY_PATH}")
MESSAGE( STATUS "CMAKE_SYSTEM_PREFIX_PATH    = ${CMAKE_SYSTEM_PREFIX_PATH}")
MESSAGE( STATUS "CMAKE_SYSTEM_IGNORE_PATH    = ${CMAKE_SYSTEM_IGNORE_PATH}")
MESSAGE( STATUS "\n" )


#######################################################################################################
#  Initialize the libraries to be the cmake targets and initialize the includes to the proper dev paths
#######################################################################################################

IF(NOT OSSIM_LIBRARY)
   SET(OSSIM_LIBRARY "ossim" CACHE STRING "Caching" FORCE)
ENDIF(NOT OSSIM_LIBRARY)

IF(NOT OSSIM_HOME)
   SET(OSSIM_HOME "${OSSIM_DEV_HOME}/ossim" CACHE STRING "Caching" FORCE)
ENDIF(NOT OSSIM_HOME)

IF(NOT OSSIM_INCLUDE_DIR)
   SET(OSSIM_INCLUDE_DIR "${OSSIM_HOME}/include" CACHE STRING "Caching" FORCE)
ENDIF(NOT OSSIM_INCLUDE_DIR)


#IF(NOT OSSIMPLANETQT_LIBRARY)
#   SET(OSSIMPLANETQT_LIBRARY "ossimPlanetQt" CACHE STRING "Caching" FORCE)
#ENDIF(NOT OSSIMPLANETQT_LIBRARY)

#IF(NOT OSSIMPLANETQT_INCLUDE_DIR)
#   SET(OSSIMPLANETQT_INCLUDE_DIR "${OSSIM_DEV_HOME}/ossimPlanetQt/include" CACHE STRING "Caching" FORCE)
#ENDIF(NOT OSSIMPLANETQT_INCLUDE_DIR)

#IF(NOT OSSIMQT_LIBRARY)
#   SET(OSSIMQT_LIBRARY "ossimQt" CACHE STRING "Caching" FORCE)
#ENDIF(NOT OSSIMQT_LIBRARY)

############################### Add subdirectories to build based on BUILD variables and presence of repo ###########################
add_subdirectory(${OSSIM_HOME} ${CMAKE_CURRENT_BINARY_DIR}/ossim) 

IF(BUILD_OSSIM_WMS AND EXISTS ${OSSIM_DEV_HOME}/ossim-wms )
  IF(NOT OSSIMWMS_LIBRARY)
     SET(OSSIMWMS_LIBRARY "ossim-wms" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OSSIMWMS_LIBRARY)

  IF(NOT OSSIMWMS_INCLUDE_DIR)
     SET(OSSIMWMS_INCLUDE_DIR "${OSSIM_DEV_HOME}/ossim-wms/include" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OSSIMWMS_INCLUDE_DIR)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-wms ${CMAKE_CURRENT_BINARY_DIR}/ossim-wms)
ENDIF()

IF(BUILD_OSSIM_VIDEO AND EXISTS ${OSSIM_DEV_HOME}/ossim-video)
  IF(NOT OSSIMVIDEO_LIBRARY)
      SET(OSSIMVIDEO_LIBRARY "ossim-video" CACHE STRING "Caching" FORCE)
  ENDIF()
   
  IF(NOT OSSIMVIDEO_INCLUDE_DIR)
      SET(OSSIMVIDEO_INCLUDE_DIR "${OSSIM_DEV_HOME}/ossim-video/include" CACHE STRING "Caching" FORCE)
  ENDIF()
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-video ${CMAKE_CURRENT_BINARY_DIR}/ossim-video)
ENDIF()

IF(BUILD_MSP_PLUGIN AND EXISTS ${OSSIM_DEV_HOME}/ossim-msp-plugin)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-msp-plugin ${CMAKE_CURRENT_BINARY_DIR}/ossim-msp-plugin)
ENDIF()

IF(BUILD_CSM_PLUGIN AND EXISTS ${OSSIM_DEV_HOME}/ossim-csm-plugin)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-csm-plugin ${CMAKE_CURRENT_BINARY_DIR}/ossim-csm-plugin)
ENDIF()

IF(BUILD_OMS AND EXISTS ${OSSIM_DEV_HOME}/ossim-oms)
  IF(NOT OMS_LIBRARY)
     SET(OMS_LIBRARY "ossim-oms" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OMS_LIBRARY)

  IF(NOT OMS_INCLUDE_DIR)
     SET(OMS_INCLUDE_DIR "${OSSIM_DEV_HOME}/ossim-oms/coms/include" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OMS_INCLUDE_DIR)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-oms ${CMAKE_CURRENT_BINARY_DIR}/ossim-oms)
ENDIF()

IF(BUILD_OSSIM_PLANET AND EXISTS ${OSSIM_DEV_HOME}/ossim-planet)
  
  IF(NOT OSSIMPLANET_LIBRARY)
     SET(OSSIMPLANET_LIBRARY "ossim-planet" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OSSIMPLANET_LIBRARY)
  IF(NOT OSSIMPLANET_INCLUDE_DIR)
     SET(OSSIMPLANET_INCLUDE_DIR "${OSSIM_DEV_HOME}/ossim-planet/include" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OSSIMPLANET_INCLUDE_DIR)

  add_subdirectory(${OSSIM_DEV_HOME}/ossim-planet ${CMAKE_CURRENT_BINARY_DIR}/ossim-planet)
ENDIF()

IF(BUILD_OSSIM_PLANET_GUI AND EXISTS ${OSSIM_DEV_HOME}/ossim-planet-gui)
  IF(NOT OSSIMPLANETGUI_LIBRARY)
     SET(OSSIMPLANETGUI_LIBRARY "ossim-planet-gui" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OSSIMPLANETGUI_LIBRARY)
  IF(NOT OSSIMPLANETGUI_INCLUDE_DIR)
     SET(OSSIMPLANETGUI_INCLUDE_DIR "${OSSIM_DEV_HOME}/ossim-planet-gui/include" CACHE STRING "Caching" FORCE)
  ENDIF(NOT OSSIMPLANETGUI_INCLUDE_DIR)

  add_subdirectory(${OSSIM_DEV_HOME}/ossim-planet-gui ${CMAKE_CURRENT_BINARY_DIR}/ossim-planet-gui)
ENDIF()


IF(BUILD_OSSIM_GUI AND EXISTS ${OSSIM_DEV_HOME}/ossim-gui)
     add_subdirectory(${OSSIM_DEV_HOME}/ossim-gui ${CMAKE_CURRENT_BINARY_DIR}/ossim-gui)
ENDIF()

IF(BUILD_OSSIM_QT4 AND EXISTS ${OSSIM_DEV_HOME}/ossim-qt4)
     add_subdirectory(${OSSIM_DEV_HOME}/ossim-qt4 ${CMAKE_CURRENT_BINARY_DIR}/ossim-qt4)
ENDIF()

IF(EXISTS ${OSSIM_DEV_HOME}/ossim-plugins)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-plugins ${CMAKE_CURRENT_BINARY_DIR}/ossim-plugins)
ENDIF()

IF(OSSIM_BUILD_ADDITIONAL_DIRECTORIES)
    FOREACH(it IN LISTS OSSIM_BUILD_ADDITIONAL_DIRECTORIES)
        MESSAGE(STATUS "**********************Adding additional subdirectory ${it}*************************")
        SUBDIRS(${it})
    ENDFOREACH(it)
ENDIF()

IF(BUILD_DSMG AND EXISTS ${OSSIM_DEV_HOME}/ossim-dsmg)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-dsmg ${CMAKE_CURRENT_BINARY_DIR}/ossim-dsmg)
ENDIF()

IF(BUILD_OSSIM_ISA AND EXISTS ${OSSIM_DEV_HOME}/ossim-isa)
  add_subdirectory(${OSSIM_DEV_HOME}/ossim-isa ${CMAKE_CURRENT_BINARY_DIR}/ossim-isa)
ENDIF()


############################## Doxygen installation for current ossim core module ###########################################
FIND_PACKAGE(Doxygen)

MACRO(OSSIM_GENERATE_DOXYGEN  DOXYGEN_OUTPUT_DIRECTORY CONFIGURE_FILE WORKING_DIRECTORY DOXYGEN_INPUT BASE_TARGET_NAME CLASS_PREFIX_TO_IGNORE) 
   
     SET(DOXYGEN_IGNORE_PREFIX "${CLASS_PREFIX_TO_IGNORE}")

     IF(NOT EXISTS "${DOXYGEN_OUTPUT_DIRECTORY}")
         make_directory("${DOXYGEN_OUTPUT_DIRECTORY}")
     ENDIF()
     CONFIGURE_FILE("${CONFIGURE_FILE}"
                    "${DOXYGEN_INPUT}" @ONLY IMMEIDATE)

     ADD_CUSTOM_COMMAND(
       OUTPUT ${DOXYGEN_OUTPUT_DIRECTORY}
       COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
       COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_INPUT}
       COMMAND ${CMAKE_COMMAND} -E echo "Done."
       WORKING_DIRECTORY ${WORKING_DIRECTORY}
       DEPENDS ${DOXYGEN_INPUT}
     )

     ADD_CUSTOM_TARGET(${BASE_TARGET_NAME}-doc ALL DEPENDS ${DOXYGEN_OUTPUT_DIRECTORY})

     ADD_CUSTOM_TARGET(${BASE_TARGET_NAME}-doc-forced
       COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
       COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_INPUT}
       COMMAND ${CMAKE_COMMAND} -E echo "Done."
       WORKING_DIRECTORY "${WORKING_DIRECTORY}")
ENDMACRO(OSSIM_GENERATE_DOXYGEN)

IF (DOXYGEN_FOUND)
  OPTION(OSSIM_BUILD_DOXYGEN "Set to ON to generate oxygen documentation files" OFF)
  IF(OSSIM_BUILD_DOXYGEN)

     SET(DOXYGEN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/doc/ossim-${OSSIM_VERSION}/ossimApi")
     OSSIM_GENERATE_DOXYGEN("${DOXYGEN_OUTPUT_DIRECTORY}"
                      "${OSSIM_DEV_HOME}/ossim/doc/Doxyfile.in"
                      "${OSSIM_DEV_HOME}/ossim/doc"
                      "${CMAKE_BINARY_DIR}/OssimDoxyfile"
                      "ossim-api"
                      "ossim")
     FILE(GLOB ossim_docs "${DOXYGEN_OUTPUT_DIRECTORY}/html/*")
     INSTALL(FILES ${ossim_docs} DESTINATION "share/ossim/${OSSIM_VERSION}/docs/doxygen/ossimapi/html" COMPONENT ossim-doc)

     IF(BUILD_OSSIM_PLANET)
        SET(DOXYGEN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/doc/ossim-${OSSIM_VERSION}/ossimPlanetApi")
        OSSIM_GENERATE_DOXYGEN("${DOXYGEN_OUTPUT_DIRECTORY}"
                         "${OSSIM_DEV_HOME}/ossim/Doxyfile.in"
                         "${OSSIM_DEV_HOME}/ossim-planet"
                         "${CMAKE_BINARY_DIR}/OssimPlanetDoxyfile"
                         "ossimPlanet-api"
                         "ossimPlanet")
        FILE(GLOB ossim_docs "${DOXYGEN_OUTPUT_DIRECTORY}/html/*")
        INSTALL(FILES ${ossim_docs} DESTINATION "share/ossim/${OSSIM_VERSION}/docs/doxygen/ossimPlanetApi/html" COMPONENT ossim-doc)
     ENDIF(BUILD_OSSIM_PLANET)

   ENDIF(OSSIM_BUILD_DOXYGEN)
ENDIF (DOXYGEN_FOUND)

############################## Setup shared file installation ##############################
if(EXISTS ${OSSIM_HOME}/share/ossim/geoids/egm96.grd)
  INSTALL(FILES ${OSSIM_HOME}/share/ossim/geoids/egm96.grd DESTINATION "share/ossim/geoids" COMPONENT ossim)
ELSE()
  MESSAGE(WARNING "File ${OSSIM_HOME}/share/ossim/geoids/egm96.grd not found for install!")
ENDIF()
# Fonts removed for rpms
# INSTALL(FILES ${OSSIM_DEV_HOME}/ossim_package_support/fonts/arial.ttf DESTINATION "share/ossim/fonts" COMPONENT ossim)
# INSTALL(FILES ${OSSIM_DEV_HOME}/ossim_package_support/fonts/times.ttf DESTINATION "share/ossim/fonts" COMPONENT ossim)

FILE(GLOB ossim_cmake_modules ${OSSIM_DEV_HOME}/ossim/cmake/CMakeModules/*.cmake* )
INSTALL(FILES ${ossim_cmake_modules} DESTINATION share/ossim/CMakeModules COMPONENT ossim)

FILE(GLOB projection_files "${OSSIM_HOME}/share/ossim/projection/*.csv"  "${OSSIM_HOME}/share/ossim/projection/*.txt")

=== src/CMakeLists.txt ===

########################################### BEGIN: GRAB SOURCE FILES ##########################################
FILE(GLOB ossim_SRCS  RELATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR} 
        "${CMAKE_CURRENT_SOURCE_DIR}/ossimConfig*.cpp" 
        "${CMAKE_CURRENT_SOURCE_DIR}/ossimVer*.cpp" 
        "${CMAKE_CURRENT_SOURCE_DIR}/init/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/init/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/reg/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/reg/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/base/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/base/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/elevation/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/elevation/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/font/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/font/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/imaging/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/imaging/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/matrix/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/matrix/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/parallel/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/parallel/*.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/point_cloud/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/point_cloud/*.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/projection/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/projection/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/support_data/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/support_data/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/reg/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/reg/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/util/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/util/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/vec/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/vec/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/video/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/video/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/vpfutil/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/vpfutil/*.c" 
        "${CMAKE_CURRENT_SOURCE_DIR}/plugin/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/plugin/*.c")
IF(UNIX)
   FILE(GLOB ossim_sockets_SRCS RELATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/sockets/*.cpp")
   LIST(APPEND ossim_SRCS "${ossim_sockets_SRCS}")
ELSEIF(WIN32)
   FILE(GLOB ossim_dll_main_SRCS RELATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/dll_main/*.cpp")
  LIST(APPEND ossim_SRCS "${ossim_dll_main_SRCS}")
ENDIF(UNIX)
   
IF (OSSIM_HAS_HDF5)
   message( STATUS "HDF5 components will be included." )
   FILE(GLOB ossim_hdf5_SRCS RELATIVE_PATH ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/hdf5/*.cpp")
   LIST(APPEND ossim_SRCS "${ossim_hdf5_SRCS}")
ELSE (OSSIM_HAS_HDF5)
   message( STATUS "HDF5 components are being excluded from the build." )
ENDIF (OSSIM_HAS_HDF5)

IF (WIN32)
   IF (BUILD_SHARED)
      ADD_DEFINITIONS("-DOSSIMMAKINGDLL")
    ELSE (BUILD_SHARED)
      ADD_DEFINITIONS("-DOSSIM_STATIC")
   ENDIF (BUILD_SHARED)
ENDIF (WIN32)

############################### GRAB HEADERS #####################################
FILE(GLOB ossim_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/*.h")
FILE(GLOB ossim_base_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/base/*.h")
FILE(GLOB ossim_elevation_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/elevation/*.h")
FILE(GLOB ossim_font_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/font/*.h")
FILE(GLOB ossim_imaging_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/imaging/*.h")
FILE(GLOB ossim_init_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/init/*.h")
FILE(GLOB ossim_reg_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/reg/*.h")
FILE(GLOB ossim_matrix_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/matrix/*.h")
FILE(GLOB ossim_parallel_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/parallel/*.h")
FILE(GLOB ossim_plugin_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/plugin/*.h")
FILE(GLOB ossim_point_cloud_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/point_cloud/*.h")
FILE(GLOB ossim_projection_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/projection/*.h")
FILE(GLOB ossim_support_data_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/support_data/*.h")
FILE(GLOB ossim_util_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/util/*.h")
FILE(GLOB ossim_vec_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/vec/*.h")
FILE(GLOB ossim_video_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/video/*.h")
FILE(GLOB ossim_vpfutil_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/vpfutil/*.h")

IF(UNIX)
  FILE(GLOB ossim_sockets_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/sockets/*.h")
ENDIF(UNIX)

IF (OSSIM_HAS_HDF5)
  FILE(GLOB ossim_hdf5_HDRS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../include/ossim/hdf5/*.h")
ENDIF (OSSIM_HAS_HDF5)

MESSAGE( "${ossim_HDRS}" )
SET(OSSIM_HEADER_FILES 
  ${ossim_HDRS}
  ${ossim_base_HDRS} ${ossim_elevation_HDRS} ${ossim_font_HDRS}  ${ossim_imaging_HDRS} 
  ${ossim_init_HDRS} ${ossim_reg_HDRS} ${ossim_matrix_HDRS} ${ossim_parallel_HDRS} ${ossim_plugin_HDRS} 
  ${ossim_point_cloud_HDRS} ${ossim_projection_HDRS} ${ossim_support_data_HDRS} ${ossim_util_HDRS} 
  ${ossim_vec_HDRS} ${ossim_video_HDRS} ${ossim_vpfutil_HDRS} ${ossim_sockets_HDRS} ${ossim_hdf5_HDRS} )


################################## APPLE Framework support deep header mapping ###################################
IF(APPLE)
  FOREACH(f  ${ossim_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_base_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/base )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_elevation_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/elevation )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_font_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/font )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_imaging_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/imaging )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_init_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/init )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_reg_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/reg )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_matrix_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/matrix )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_parallel_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/parallel )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_plugin_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/plugin )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_point_cloud_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/point_cloud )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_projection_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/projection )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_support_data_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/support_data )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_util_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/util )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_vec_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/vec )
  ENDFOREACH(f)
  FOREACH(f  ${ossim_video_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/video )
  ENDFOREACH(f)

  FOREACH(f  ${ossim_vpfutil_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/vpfutil )
  ENDFOREACH(f)

  IF (OSSIM_HAS_HDF5)
    FOREACH(f  ${ossim_hdf5_HDRS} )
      SET_SOURCE_FILES_PROPERTIES( ${f} PROPERTIES MACOSX_PACKAGE_LOCATION Headers/hdf5 )
    ENDFOREACH(f)
  ENDIF (OSSIM_HAS_HDF5)

ENDIF(APPLE)

#################################### SETUP the required link parameters using the Ossim macro ####################################
OSSIM_LINK_LIBRARY(${LIB_NAME} 
                   COMPONENT_NAME ossim 
                   TYPE ${OSSIM_USER_DEFINED_DYNAMIC_OR_STATIC}
                   LIBRARIES ${ossimDependentLibs}
                   HEADERS "${OSSIM_HEADER_FILES}" 
                   PUBLIC_HEADERS "${ossim_HDRS}"
                   SOURCE_FILES "${ossim_SRCS}"
                   INSTALL_LIB VERSION_SYMLINKS)

# The install headers was duplicating ossimVersion.h and ossimConfig.h in "install_prefix/include".
# INSTALL_HEADERS)

########################################################## If DO special case for ossim core needs to have the files mapped properly ################################ 
IF(NOT OSSIM_BUILD_FRAMEWORKS OR NOT APPLE)
   install(FILES ${ossim_HDRS} DESTINATION include/ossim COMPONENT ossim) 
   install(FILES ${ossim_base_HDRS} DESTINATION include/ossim/base COMPONENT ossim) 
   install(FILES ${ossim_elevation_HDRS} DESTINATION include/ossim/elevation COMPONENT ossim)
   install(FILES ${ossim_font_HDRS} DESTINATION include/ossim/font COMPONENT ossim)
   install(FILES ${ossim_imaging_HDRS} DESTINATION include/ossim/imaging COMPONENT ossim) 
   install(FILES ${ossim_init_HDRS} DESTINATION include/ossim/init COMPONENT ossim) 
   install(FILES ${ossim_reg_HDRS} DESTINATION include/ossim/reg COMPONENT ossim) 
   install(FILES ${ossim_matrix_HDRS} DESTINATION include/ossim/matrix COMPONENT ossim) 
   install(FILES ${ossim_parallel_HDRS} DESTINATION include/ossim/parallel COMPONENT ossim) 
   install(FILES ${ossim_plugin_HDRS} DESTINATION include/ossim/plugin COMPONENT ossim) 
   install(FILES ${ossim_point_cloud_HDRS} DESTINATION include/ossim/point_cloud COMPONENT ossim) 
   install(FILES ${ossim_projection_HDRS} DESTINATION include/ossim/projection COMPONENT ossim) 
   install(FILES ${ossim_support_data_HDRS} DESTINATION include/ossim/support_data COMPONENT ossim) 
   install(FILES ${ossim_util_HDRS} DESTINATION include/ossim/util COMPONENT ossim) 
   install(FILES ${ossim_vec_HDRS} DESTINATION include/ossim/vec COMPONENT ossim) 
   install(FILES ${ossim_video_HDRS} DESTINATION include/ossim/video COMPONENT ossim) 
   install(FILES ${ossim_vpfutil_HDRS} DESTINATION include/ossim/vpfutil COMPONENT ossim) 
   IF(UNIX)
     install(FILES ${ossim_sockets_HDRS} DESTINATION include/ossim/sockets COMPONENT ossim) 
   ENDIF(UNIX)
   IF (OSSIM_HAS_HDF5)
     install(FILES ${ossim_hdf5_HDRS} DESTINATION include/ossim/hdf5 COMPONENT ossim) 
  ENDIF (OSSIM_HAS_HDF5)
ENDIF(NOT OSSIM_BUILD_FRAMEWORKS OR NOT APPLE)
# ENDIF(NOT OSSIM_FRAMEWORK_GENERATION OR NOT APPLE)

# ---
# This is the old list of library for the link line.  Replaced with ${ossimDependentLibs}.  
# Kept temporarily in case I broke something.  drb - 31 Aug. 2011
# LIBRARIES ${JPEG_LIBRARIES} ${TIFF_LIBRARIES} ${GEOTIFF_LIBRARIES} ${OPENTHREADS_LIBRARIES} ${FREETYPE_LIBRARIES} ${MPI_LIBRARIES} ${ZLIB_LIBRARIES} ${DL_LIBRARY}
# ---

=== apps/ossim-applanix2ogeom/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-applanix2ogeom INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-create-cg/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-create-cg INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-dms2deg/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-dms2deg INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-equation/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-equation INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-image-compare/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-image-compare INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-pixelflip/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-pixelflip INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-plot-histo/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-plot-histo INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-senint/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-senint INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-swapbytes/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-swapbytes INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== apps/ossim-tfw2ogeom/CMakeLists.txt ===
FILE(GLOB SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
OSSIM_SETUP_APPLICATION(ossim-tfw2ogeom INSTALL COMMAND_LINE COMPONENT_NAME ossim SOURCE_FILES ${SOURCE_FILES})

=== debian/changelog ===
ossim (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2018 18:43:33 +0100

ossim (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Jan 2018 18:37:52 +0100

ossim (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * Override dh_makeshlibs to use -V.
  * Add strict binary version dependency on libossim to ossim-core.
  * Add manpages for new utilities.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Dec 2017 19:46:25 +0100

ossim (2.2.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Change libcurl4-dev alternative to libcurl-ssl-dev.
  * Update spelling-errors.patch to fix 'directories' typo.
  * Update Homepage URL to use trac.osgeo.org.
  * Update watch file to use GitHub releases.
  * Update copyright file, changes:
    - Update Format URL to use HTTPS
    - Update Source URL to GitHub
    - Drop Files-Excluded, repacking no longer required
    - Add license & copyright for git-prompt.sh
    - Update Files path for restructured upstream source tree
  * Drop patches, applied upstream.
  * Change Priority from extra to optional.
  * Bump Standards-Version to 4.1.2, changes: Priority.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update rules for restructured upstream source tree.
  * Add patch to fix spelling errors.
  * Drop unused lintian overrides.
  * Don't install embedded fonts.
  * Strip trailing whitespace from changelog.
  * Drop libopenthreads-dev build dependency, no longer required.
  * Add libjsoncpp-dev to build dependencies.
  * Fix dh_auto_install override.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Dec 2017 14:12:05 +0100

=== debian/control ===
Source: ossim
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Section: science
Priority: optional
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libfreetype6-dev,
               libgeos++-dev (>= 3.5.0),
               libgeotiff-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libpng-dev,
               libtiff-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ossim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ossim.git
Homepage: https://trac.osgeo.org/ossim/

Package: libossim1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libossim1v5 (<< 1.8.20.3)
Replaces: libossim1v5 (<< 1.8.20.3)
Description: OSSIM library -- shared library
 Open Source Software Image Map (OSSIM) is a high performance engine for
 remote sensing, image processing, geographical information systems and
 photogrammetry. It has been actively developed since 1996.
 .
 Designed as a series of high performance software libraries, it is
 written in C++ employing the latest techniques in object-oriented
 software design.
 .
 The library provides advanced remote sensing, image processing, and
 geo-spatial functionality. A quick summary of OSSIM functionality
 includes ortho-rectification, precision terrain correction, rigorous
 sensor models, very large mosaics, and cross sensor fusions, a wide
 range of map projections and datums, and a large range of commercial
 and government data formats. The architecture of the library supports
 parallel processing with mpi (not enabled), a dynamic plugin architecture,
 and dynamically connectable objects allowing rapid prototyping of custom
 image processing chains.
 .
 This package includes the OSSIM shared library.

Package: libossim-dev
Architecture: any
Section: libdevel
Depends: libossim1 (= ${binary:Version}),
         libgeotiff-dev,
         ${misc:Depends}
Description: OSSIM library -- development files
 Open Source Software Image Map (OSSIM) is a high performance engine for
 remote sensing, image processing, geographical information systems and
 photogrammetry. It has been actively developed since 1996.
 .
 Designed as a series of high performance software libraries, it is
 written in C++ employing the latest techniques in object-oriented
 software design.
 .
 The library provides advanced remote sensing, image processing, and
 geo-spatial functionality. A quick summary of OSSIM functionality
 includes ortho-rectification, precision terrain correction, rigorous
 sensor models, very large mosaics, and cross sensor fusions, a wide
 range of map projections and datums, and a large range of commercial
 and government data formats. The architecture of the library supports
 parallel processing with mpi (not enabled), a dynamic plugin architecture,
 and dynamically connectable objects allowing rapid prototyping of custom
 image processing chains.
 .
 This package includes the development files to build programs
 that use the OSSIM library.

Package: ossim-core
Architecture: any
Depends: libossim1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: OSSIM core utilities
 Open Source Software Image Map (OSSIM) is a high performance engine for
 remote sensing, image processing, geographical information systems and
 photogrammetry. It has been actively developed since 1996.
 .
 Designed as a series of high performance software libraries, it is
 written in C++ employing the latest techniques in object-oriented
 software design.
 .
 The library provides advanced remote sensing, image processing, and
 geo-spatial functionality. A quick summary of OSSIM functionality
 includes ortho-rectification, precision terrain correction, rigorous
 sensor models, very large mosaics, and cross sensor fusions, a wide
 range of map projections and datums, and a large range of commercial
 and government data formats. The architecture of the library supports
 parallel processing with mpi (not enabled), a dynamic plugin architecture,
 and dynamically connectable objects allowing rapid prototyping of custom
 image processing chains.
 .
 This package includes core tools that use the OSSIM library to
 perform some basic tasks.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%Y%m%d" -d "@$(SOURCE_DATE_EPOCH)")

OSSIM_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
OSSIM_VERSION_TAG=$(subst .,_,$(OSSIM_VERSION))

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
    OPTFLAG =
else
    CFLAGS += -O2
    OPTFLAG = --enable-optimization
endif

%:
	dh $@ --buildsystem cmake \
	      --builddirectory=$(CURDIR)/debian/build \
	      --parallel

# Add here any variable or target overrides you need.
CMAKE_OPTS = \
       -DCMAKE_BUILD_TYPE=Release \
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DBUILD_OSSIM_APPS=ON \
       -DBUILD_OSSIM_FRAMEWORKS=OFF \
       -DBUILD_OSSIM_FREETYPE_SUPPORT=ON \
       -DBUILD_OSSIM_ID_SUPPORT=ON \
       -DBUILD_OSSIM_MPI_SUPPORT=OFF \
       -DBUILD_OSSIM_TESTS=OFF \
       -DBUILD_SHARED_LIBS=ON \
       -DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2 \
       -DGEOS_INCLUDE_DIR=/usr/include/geos \
       -DOSSIM_BUILD_DATE=$(BUILD_DATE)

override_dh_auto_clean:
	rm -rf debian/build
	rm -f include/ossim/ossimConfig.h include/ossim/ossimVersion.h
	dh_auto_clean

override_dh_auto_configure:
	[ -d debian/build ] || mkdir debian/build
	[ ! -e CMakeCache.txt ] || rm CMakeCache.txt
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/include/ossimConfig.h
	rm -f $(CURDIR)/debian/tmp/usr/include/ossimVersion.h
	rm -rf $(CURDIR)/debian/tmp/usr/share/ossim/fonts

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|ossim|\w+?)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/ossim-$1.$2/,\
repacksuffix=+ds \
https://github.com/ossimlabs/ossim/releases \
(?:.*?/)?(?:rel|v|ossim|\w+?)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ossim 2.4.2

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,9 @@
 INCLUDE(OssimVersion)
 INCLUDE(OssimUtilities)
 INCLUDE(OssimCommonVariables)
+
+FILE(REMOVE ${CMAKE_INCLUDE_DIRS_FILE})
+FILE(REMOVE ${CMAKE_FILENAMES_FILE})
 
 IF(NOT APPLE)
   cmake_minimum_required(VERSION 2.6)
@@ -266,4 +269,3 @@
 FILE(GLOB ossim_cmake_modules ${OSSIM_DEV_HOME}/ossim/cmake/CMakeModules/*.cmake* )
 INSTALL(FILES ${ossim_cmake_modules} DESTINATION share/ossim/CMakeModules COMPONENT ossim)
 
-FILE(GLOB projection_files "${OSSIM_HOME}/share/ossim/projection/*.csv"  "${OSSIM_HOME}/share/ossim/projection/*.txt")

=== debian/changelog ===
ossim (2.4.2-2) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 11:36:44 +0200

ossim (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes.
  * Refresh patches.
  * Update lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 07:41:26 +0200

ossim (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Jun 2018 07:24:22 +0200

ossim (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 May 2018 16:08:12 +0200

ossim (2.4.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop GCC 8 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 May 2018 07:03:08 +0200

ossim (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Strip trailing whitespace from rules file.
  * Add upstream patch to fix FTBFS with GCC 8.
    (closes: #897829)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 May 2018 15:50:41 +0200

ossim (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes.
  * Refresh patches.
  * Update spelling-errors.patch for new typos.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 May 2018 16:44:41 +0200

ossim (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Remove obsolete README.source.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Apr 2018 07:22:08 +0200

ossim (2.3.0-4) unstable; urgency=medium

  * Team upload.
  * Fix OTB versions in Breaks.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Mar 2018 07:36:17 +0100

ossim (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks for OTB libraries that depend on libossim1.
    See: #892212

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Mar 2018 10:05:01 +0100

ossim (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Drop shlibs file for libossim1, rely on dh_makeshlibs -V.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Mar 2018 20:50:04 +0100

ossim (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Mar 2018 10:51:52 +0100

ossim (2.3.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Mar 2018 19:46:24 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libpng-dev,
                libtiff-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ossim.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ossim.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/ossim
+Vcs-Git: https://salsa.debian.org/debian-gis-team/ossim.git
 Homepage: https://trac.osgeo.org/ossim/
 
 Package: libossim1
@@ -24,7 +24,9 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libossim1v5 (<< 1.8.20.3)
+Breaks: libossim1v5 (<< 1.8.20.3),
+        libotbossimadapters-6.4-1 (<= 6.4.0+dfsg-1),
+        libotbossimplugins-6.4-1 (<= 6.4.0+dfsg-1)
 Replaces: libossim1v5 (<< 1.8.20.3)
 Description: OSSIM library -- shared library
  Open Source Software Image Map (OSSIM) is a high performance engine for

=== debian/rules ===
--- 
+++ 
@@ -61,4 +61,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
